RE: [CONNECT .NET Addin] Set color, weight, and linestyle "ByLevel"
I see Bentley.DgnPlatformNET.dll, but no Bentley.MstnPlatformNET
View ArticleRE: [V8i MDL] How can we obtain a list of Element Templates?
MicroStation V8i SDK provides a customize element template example located here:FILE: C:\Users\<username>\Documents\MDLProjects V8i (SELECTseries 4)\CustomizeTestApp\CustomizeTestApp.cpp...
View ArticleRE: [CONNECT .NET Addin] Set color, weight, and linestyle "ByLevel"
Hi Dave, why do you assumue Bentley.MstnPlatformNET should exist as dll file? Using standard NET tools (like Visual Studio or JustDecompile) I found Bentley.MstnPlatformNET namespace spread over...
View ArticleRE: [CONNECT .NET Addin] Set color, weight, and linestyle "ByLevel"
Bentley.MstnPlatformNET is a namespace reference specific to the MicroStation (Mstn) executable who's primary dependent dynamic library to ustation.dll. MicroStation add-ins projects simply reference...
View ArticleRE: [CONNECT .NET Addin] Set color, weight, and linestyle "ByLevel"
Thanks for the help everyone. I did find the active design file but I think the whole thing may have been a false alarm anyway. The Add-ins I've developed primarily have to do with Promis.e which is...
View Article[CONNECT .NET Addin] Set color, weight, and linestyle "ByLevel"
In V8i addins I could easily set the color, weight, and linestyle to bylevel using:Element.Color = -1Element.Weight = -1Element.LineStyle = ByLevelLineStyleHow do you achieve the same results in...
View Article[Connect API] Missing headers/declarations in SDK
Hi,I am using MicroStation Connect SDKÂ 10000028.I have noticed than some headers/declarations are...
View Article[Connect API] Attach reference reprojected
In V8i you could something like this to attach a reference reprojected:mdlRefFile_setParameters ((void *) ATTACHMETHOD_GeographicProjected, REFERENCE_ATTACHMETHOD, ModelRef);I want to do the same in...
View ArticleRE: [V8i MDL] How can we obtain a list of Element Templates?
[quote user="Robert Hook"]dumpActiveFileTemplateList()[/quote]Thanks for the reference to that MDL example. As well as the element template name and path, it retrieves an Element ID from the...
View ArticleRE: [V8i MDL] How can we obtain a list of Element Templates?
mdlElementTemplate_populateNamesListModel creates a list model where each row contains a template name (or optional full path) and ElementID for each element template stored in the current file. If you...
View Article[V8i MDL] How can we obtain a list of Element Templates?
mdlElementTemplate_populateNamesListModel() presumably obtains its data from the active DGN model. But, does it search all attached DGNLibs for that information?That's the only function I can see that...
View ArticleRE: [Connect COM/ VB, C#] CreateShapeElement1 error
[quote user="Nenad Poljcic"]I have a code that works in V8i but produces error in Connect[/quote]Use the DgnPlatformNET API. Take a look at the ShapeElement class in the help document for that API.
View ArticleRE: [Connect COM/ VB, C#] CreateShapeElement1 error
Hi Jon,I can not use MicroStation API because my application is external application ( not part of MicroStation) andI want to send data to MS using COM ( there is other way)thanksNenad
View ArticleRE: [Connect COM/ VB, C#] CreateShapeElement1 error
Hi Nenad,why do you cast Point3d[] array to System.Array? I don't see any reason to do it and even the parameter itself is defined (using decompiler) as [In][Out] ref Point3d[] Vertices. Make your code...
View ArticleRE: [Connect COM/ VB, C#] CreateShapeElement1 error
Hi Jan,I cat Point3d array to System.Array because it was only way it worked in V8i.However , I tried your suggestion and I get same error. MicroStationDGN.Application myMSapp = new...
View ArticleRE: [Connect COM/ VB, C#] CreateShapeElement1 error
[quote user="Nenad Poljcic"]I can not use MicroStation API because my application is external application ( not part of MicroStation) and[/quote]When you post a question, please supply all relevant...
View ArticleRE: [Connect COM/ VB, C#] CreateShapeElement1 error
Hi Jon,I am using windows 7, Visual Studio 2013My external application is 64bit. I added reference Bentley.MicroStation 10xObject Library 9.1I am using other COM functions and structures and all work...
View ArticleRE: [Connect COM/ VB, C#] CreateShapeElement1 error
Hi Nenad,[quote user="Nenad Poljcic"]I cat Point3d array to System.Array because it was only way it worked in V8i.[/quote]Hmm ... I don't believe it, but right now I have no time to test it. There is...
View ArticleRE: [Connect COM/ VB, C#] CreateShapeElement1 error
Hi Jan,Maybe I am doing something wrong, but I have checked function CreateShapeElement1in Visual Studio Object Browser and parameter <vertices> is System.ArraycheersNenad,
View ArticleRE: [Connect COM/ VB, C#] CreateShapeElement1 error
I don't know where _Application comes from. If I reference bentley.interop.microstationdgn.dll to VB.NET project, I can see this:Can you share an information what assemblies do you reference in your...
View Article